<template>
  <button
    type="button"
    class="btn-hamburger flex-shrink-0"
    @click="toggleSidebar()"
  >
    <IHamburger class="w-6 h-6" />
  </button>
</template>

<script lang="ts" setup>
import { store } from "@/store";
import IHamburger from "~/assets/icons/hamburger.svg?component";

const toggleSidebar = () => {
  store.commit("updateSidebar", !store.state.showSidebar);
};
</script>

<style lang="scss">
.btn-hamburger {
  color: var(--text3);
}

[layout="black"] {
  .hamburger-pos {
    position: unset;
  }
}
.main-hamburger-line + .main-hamburger-line {
  margin-top: 9.25px;
}
[theme-color="bk8_green"] .hamburger-pos {
  @apply absolute left-0 top-1;
}
.bg-hamburger {
  background-color: var(--text5);
}
.hamburger-sbo {
  @apply static;
}
</style>
